List

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/reports/list/{activityId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • activityId integer(int64) Required
  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • missing boolean
    • percentComplete number(double)
    • physicalPercentComplete number(double)
    • unitsPercentComplete number(double)
    • activityActualFinishDate string(date-time)
    • activityActualStartDate string(date-time)
    • dateWorked string(date-time)
    • impacts string
    • equipmentUsage string
    • safety string
    • workers integer(int32)
    • totalHours number(double)
    • totalHoursWorked number(double)
    • daysRemaining integer(int32)
    • autoGenerated boolean
    • totalCost number(double)
    • onActualDate boolean
    • id integer(int64)
    • desc string
    • activityId integer(int64)
    • dateCreated string(date-time)
GET /project/{projectId}/scenario/{scenarioId}/reports/list/{activityId}
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/reports/list/{activityId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "missing": true,
    "percentComplete": 42.0,
    "physicalPercentComplete": 42.0,
    "unitsPercentComplete": 42.0,
    "activityActualFinishDate": "2026-05-04T09:42:00Z",
    "activityActualStartDate": "2026-05-04T09:42:00Z",
    "dateWorked": "2026-05-04T09:42:00Z",
    "impacts": "string",
    "equipmentUsage": "string",
    "safety": "string",
    "workers": 42,
    "totalHours": 42.0,
    "totalHoursWorked": 42.0,
    "daysRemaining": 42,
    "autoGenerated": true,
    "totalCost": 42.0,
    "onActualDate": true,
    "id": 42,
    "desc": "string",
    "activityId": 42,
    "dateCreated": "2026-05-04T09:42:00Z"
  }
]